## org.codehaus.groovy.grails.scaffolding
Interface GrailsScaffolder

All Known Implementing Classes:
  DefaultGrailsScaffolder

    public interface GrailsScaffolder

An interface that facilitates the required methods for using Scaffolding within GrailsControllers

Since:
  30 Nov 2005
Author:
  Graeme Rocher

Field Summary
`static String[]` `ACTION_NAMES`
`static String` `CREATE_ACTION`
`static String` `DELETE_ACTION`
`static String` `EDIT_ACTION`
`static String` `FIND_ACTION`
`static String` `INDEX_ACTION`
`static String` `LIST_ACTION`
`static String` `SAVE_ACTION`
`static String` `SEARCH_ACTION`
`static String` `SHOW_ACTION`
`static String` `UPDATE_ACTION`

Method Summary
`groovy.lang.Closure` `getAction(groovy.lang.GroovyObject controller, String actionName)`
`String` `getActionName(groovy.lang.Closure action)` Returns the action name for the specified closure instance
`ScaffoldRequestHandler` `getScaffoldRequestHandler()`
`String[]` `getSupportedActionNames()`
`boolean` `supportsAction(String actionName)`

Field Detail

### INDEX_ACTION

    static final String INDEX_ACTION

See Also:
  Constant Field Values

### LIST_ACTION

    static final String LIST_ACTION

See Also:
  Constant Field Values

### SHOW_ACTION

    static final String SHOW_ACTION

See Also:
  Constant Field Values

### EDIT_ACTION

    static final String EDIT_ACTION

See Also:
  Constant Field Values

### DELETE_ACTION

    static final String DELETE_ACTION

See Also:
  Constant Field Values

### CREATE_ACTION

    static final String CREATE_ACTION

See Also:
  Constant Field Values

### SAVE_ACTION

    static final String SAVE_ACTION

See Also:
  Constant Field Values

### UPDATE_ACTION

    static final String UPDATE_ACTION

See Also:
  Constant Field Values

### SEARCH_ACTION

    static final String SEARCH_ACTION

See Also:
  Constant Field Values

### FIND_ACTION

    static final String FIND_ACTION

See Also:
  Constant Field Values

### ACTION_NAMES

    static final String[] ACTION_NAMES

Method Detail

### supportsAction

    boolean supportsAction(String actionName)

  Parameters:
    `actionName` - The name of the action
  Returns:
    True if the action is supported by the scaffolder

### getSupportedActionNames

    String[] getSupportedActionNames()

  Returns:
    A String array of actions names supported by the scaffolder

### getAction

    groovy.lang.Closure getAction(groovy.lang.GroovyObject controller,
                                  String actionName)

  Parameters:
    `actionName` -
  Returns:
    A Closure instance for the specified action name

### getActionName

    String getActionName(groovy.lang.Closure action)

  Returns the action name for the specified closure instance

  Parameters:
    `action` - The closure action
  Returns:
    The name of the action

### getScaffoldRequestHandler

    ScaffoldRequestHandler getScaffoldRequestHandler()

  Returns:
    The ScaffoldRequestHandler instance

Copyright (c) 2005-2006 The Grails project